

Doing cond_resched() inside a spinlocked region might sleep, very rarely. 
It's worth a check.


---

 25-akpm/include/linux/sched.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/sched.h~cond_resched-might-sleep include/linux/sched.h
--- 25/include/linux/sched.h~cond_resched-might-sleep	2004-05-18 18:31:31.188115408 -0700
+++ 25-akpm/include/linux/sched.h	2004-05-18 18:31:31.192114800 -0700
@@ -1044,6 +1044,7 @@ static inline int need_resched(void)
 extern void __cond_resched(void);
 static inline void cond_resched(void)
 {
+	might_sleep();
 	if (need_resched())
 		__cond_resched();
 }

_
